import * as log from './log'
import * as config from './config'
import MqttMongo from './MqttMongo'



let instances : MqttMongo[] = []

config.dict.instances.forEach((v: any) => {
  let options : any = {
    brokerUrl: config.dict.brokerUrl,
    brokerUser: config.dict.brokerUser,
    brokerPass: config.dict.brokerPass,
    brokerCa: config.dict.brokerCa,
    mongodbUrl: config.dict.mongodbUrl,
    verbose: v.verbose,
    instanceId: v.instanceId,
    collection: v.collection,
    topics: v.topics,
    encapsulate : v.encapsulate,
    parsePayload : v.parsePayload
  }

  log.info(JSON.stringify(options))

  let instance : MqttMongo = new MqttMongo(options)
  instance.exec()
  instances.push(instance)
})


log.info("MqttMongoNodejs started")
